summaryrefslogtreecommitdiff
path: root/dev-python/python-neutronclient/python-neutronclient-4.1.1.ebuild
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2016-03-26 21:14:12 -0500
committerMatthew Thode <prometheanfire@gentoo.org>2016-03-26 21:14:12 -0500
commitf321a80dd21e4b8e0f7fa2e05121e86a907ad210 (patch)
tree1bc7c0ab38f51bf46f907c8d4d0d744e8a5c0b22 /dev-python/python-neutronclient/python-neutronclient-4.1.1.ebuild
parent07fa6f697d356d1b535067fbbc5269570693088a (diff)
downloadgentoo-f321a80dd21e4b8e0f7fa2e05121e86a907ad210.tar.gz
gentoo-f321a80dd21e4b8e0f7fa2e05121e86a907ad210.tar.bz2
gentoo-f321a80dd21e4b8e0f7fa2e05121e86a907ad210.zip
dev-python/python-neutronclient: bup for mitaka
Package-Manager: portage-2.2.26
Diffstat (limited to 'dev-python/python-neutronclient/python-neutronclient-4.1.1.ebuild')
-rw-r--r--dev-python/python-neutronclient/python-neutronclient-4.1.1.ebuild96
1 files changed, 96 insertions, 0 deletions
diff --git a/dev-python/python-neutronclient/python-neutronclient-4.1.1.ebuild b/dev-python/python-neutronclient/python-neutronclient-4.1.1.ebuild
new file mode 100644
index 000000000000..620f66223d35
--- /dev/null
+++ b/dev-python/python-neutronclient/python-neutronclient-4.1.1.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_3 python3_4 python3_5 )
+
+inherit distutils-r1
+
+DESCRIPTION="A client for the OpenStack Quantum API"
+HOMEPAGE="https://launchpad.net/neutron"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc test"
+REQUIRED_USE="test? ( doc )"
+
+CDEPEND=">=dev-python/pbr-1.6[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ ${CDEPEND}
+ test? (
+ >=dev-python/coverage-3.6[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-1.3.1[${PYTHON_USEDEP}]
+ >=dev-python/mox3-0.7.0[${PYTHON_USEDEP}]
+ >=dev-python/mock-1.2[${PYTHON_USEDEP}]
+ >=dev-python/oslo-sphinx-2.5.0[${PYTHON_USEDEP}]
+ !~dev-python/oslo-sphinx-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-1.10.0[${PYTHON_USEDEP}]
+ >=dev-python/subunit-0.0.18[${PYTHON_USEDEP}]
+ >=dev-python/reno-0.1.1[${PYTHON_USEDEP}]
+ >=dev-python/requests-mock-0.7.0[${PYTHON_USEDEP}]
+ >=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
+ >=dev-python/testtools-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ >=dev-python/tempest-lib-0.14.0[${PYTHON_USEDEP}]
+ )
+ doc? (
+ >=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
+ !~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
+ <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+ )"
+
+RDEPEND="
+ ${CDEPEND}
+ >=dev-python/cliff-1.15.0[${PYTHON_USEDEP}]
+ !~dev-python/cliff-1.16.0[${PYTHON_USEDEP}]
+ >=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/iso8601-0.1.9[${PYTHON_USEDEP}]
+ >=dev-python/netaddr-0.7.12[${PYTHON_USEDEP}]
+ !~dev-python/netaddr-0.7.16[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-serialization-1.10.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.5.0[${PYTHON_USEDEP}]
+ >=dev-python/os-client-config-1.13.1[${PYTHON_USEDEP}]
+ >=dev-python/keystoneauth-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.8.1[${PYTHON_USEDEP}]
+ !~dev-python/requests-2.9.0[${PYTHON_USEDEP}]
+ >=dev-python/simplejson-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+ >=dev-python/Babel-1.3[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+ # built in...
+ sed -i '/^argparse/d' requirements.txt || die
+ sed -i '/^hacking/d' test-requirements.txt || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ use doc && "${PYTHON}" setup.py build_sphinx
+}
+
+python_test() {
+ testr init
+ testr run || die "tests failed under python2.7"
+ flake8 neutronclient/tests || die "run by flake8 over tests folder yielded error"
+}
+
+python_install() {
+ distutils-r1_python_install
+ #stupid stupid
+ local SITEDIR="${D%/}$(python_get_sitedir)" || die
+ cd "${SITEDIR}" || die
+ local egg=( python_neutronclient*.egg-info )
+ #[[ -f ${egg[0]} ]] || die "python_quantumclient*.egg-info not found"
+ ln -s "${egg[0]}" "${egg[0]/neutron/quantum}" || die
+ ln -s neutronclient quantumclient || die
+ ln -s neutron quantumclient/quantum || die
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( doc/build/html/. )
+ distutils-r1_python_install_all
+}